

package com.czg.exception;

import com.czg.resp.CzgRespCode;
import lombok.Getter;
import lombok.Setter;

/**
 * 自定义异常
 *
 * @author admin admin@cashier.com
 * @since 1.0.0
 */
@Setter
@Getter
public class ApiNotPrintException extends RuntimeException {
	private static final long serialVersionUID = 1L;

    private int code;
	private String msg;

	public ApiNotPrintException(String msg) {
		super(msg);
		this.code = CzgRespCode.FAILURE.getCode();
		this.msg = msg;
	}

	public ApiNotPrintException(String msg, Throwable e) {
		super(msg, e);
		this.code = CzgRespCode.FAILURE.getCode();
		this.msg = msg;
	}

}
